# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		pygtail
%define		egg_name	pygtail
%define		pypi_name	pygtail
Summary:	Reads log file lines that have not been read
Name:		python-%{pypi_name}
Version:	0.8.0
Release:	9
License:	GPL v2
Group:		Libraries/Python
Source0:	https://github.com/bgreenlee/pygtail/archive/%{version}.tar.gz
# Source0-md5:	504ffc804e83a4dd09e20546990b1d43
Patch0:		python-pygtail-bug-38.patch
URL:		https://github.com/bgreenlee/pygtail
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pygtail reads log file lines that have not been read. It will even
handle log files that have been rotated.

%package -n python3-%{pypi_name}
Summary:	-
Summary(pl.UTF-8):	-
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{pypi_name}
Pygtail reads log file lines that have not been read. It will even
handle log files that have been rotated.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1

sed -i -e 's#0\.7\.0#0\.8\.0#g' pygtail/core.py

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/pygtail
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pygtail.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3544076
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> b6eb489
- Release 8 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 6b94263
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f69509b
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 6bf98d3
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 77531b5
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bd8379a
- release 3 (by relup.sh)

* Thu Apr 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2892fc5
- rel 2; fixes a case when offset gets current file inode number incorrectly

* Thu Mar 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5aa33e9
- rel 1

* Thu Mar 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ac5833
- initial

